package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.FlowProcDefDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程定义查询
 *
 * @author Tony
 * @email
 * @date 2022/1/29 5:44 下午
 **/
public interface FlowDeployMapper {

    /**
     * 流程定义列表
     * @param category 流程类别
     * @param name 流程名称
     * @return
     */
    List<FlowProcDefDto> selectDeployList(@Param("category")String category, @Param("name")String name);

    /**
     * 我的流程定义列表
     * @param username 登录用户
     * @param category 流程类别
     * @param name 流程名称
     * @return
     */
    List<FlowProcDefDto> selectMyDeployList(@Param("username")String username, @Param("category")String category, @Param("name")String name);
}
