import { myAwaitFlowTaskList } from "@/api/flowable/businessKey";

const flowtask = {
    state: {
        awaitTaskNum:0
    },
  
    mutations: {
      SET_AWAIT_TASK: (state, number) => {
        state.awaitTaskNum = number
      }
    },
  
    actions: {
      // 设置代办任务
      settingAwaitNum({ commit }) {
        return new Promise((resolve, reject) => {
          //查询当前登录人的代办任务数量
          let params={ pageNum: 1,pageSize: 1 };
          myAwaitFlowTaskList(params).then(response => {
            let els=document.querySelectorAll(".todo_num_tips");
            commit('SET_AWAIT_TASK',response.total)
            if(els.length>0){
              els.forEach(el=>{
                el.innerHTML=response.total;
                if(response.total>0){
                  el.style.display="inline";
                }else{
                  el.style.display="none";
                }
              });
            }
            resolve()
          }).catch(error => {
            reject(error)
          });
        })
      }
    }
  }
  
  export default flowtask